org.eclipse.incquery.runtime.rete.recipes

## Interface AggregatorRecipe

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReteNodeRecipe
  All Known Subinterfaces:
    CountAggregatorRecipe
  All Known Implementing Classes:
    AggregatorRecipeImpl, CountAggregatorRecipeImpl

      public interface AggregatorRecipe
      extends ReteNodeRecipe

  A representation of the model object 'Aggregator Recipe'. Represents a (compound) node that performs an aggregation operation. Parent must be a ProjectionIndexer, which defines how tuples are to be aggregated. Usable only through an Join with an AggregatorIndexer as the right parent

  The following features are supported:

  - `Parent`
  See Also:
    `RecipesPackage.getAggregatorRecipe()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArity()`
    `ProjectionIndexerRecipe` | `getParent()` Returns the value of the 'Parent' containment reference.
    `void` | `setParent(ProjectionIndexerRecipe value)` Sets the value of the '`Parent`' containment reference.

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.recipes.ReteNodeRecipe

      `getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getParent

          ProjectionIndexerRecipe getParent()

      Returns the value of the 'Parent' containment reference.

      If the meaning of the 'Parent' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parent' containment reference.
      See Also:
        `setParent(ProjectionIndexerRecipe)`, `RecipesPackage.getAggregatorRecipe_Parent()`

    - #### setParent

          void setParent(ProjectionIndexerRecipe value)

      Sets the value of the '`Parent`' containment reference.
      Parameters:
        `value` - the new value of the 'Parent' containment reference.
      See Also:
        `getParent()`

    - #### getArity

          int getArity()

      Specified by:
        `getArity` in interface `ReteNodeRecipe`